This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 949984 - (CVE-2013-1416) CVE-2013-1416 krb5: NULL pointer dereference (DoS, KDC crash) by processing certain TGS requests
CVE-2013-1416 krb5: NULL pointer dereference (DoS, KDC crash) by processing c...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130329,repor...
: Security
Depends On: 949987 950342 950343
Blocks: 949998
  Show dependency treegraph
 
Reported: 2013-04-09 08:27 EDT by Jan Lieskovsky
Modified: 2016-03-04 06:30 EST (History)
8 users (show)

See Also:
Fixed In Version: krb5-1.10.5, krb5-1.9.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-16 15:17:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2013-04-09 08:27:16 EDT
A NULL pointer deference flaw was found in the way key distribution center (KDC) of MIT Kerberos 5, a network authentication system, performed processing of certain ticket-granting service requests (TGS-REQs). A remote authenticated attacker could use this flaw to cause the KDC process to crash (attempting to dereference a NULL pointer).

Upstream ticket:
[1] http://krbdev.mit.edu/rt/Ticket/Display.html?user=guest&pass=guest&id=7600

Relevant upstream patch:
[2] https://github.com/krb5/krb5/commit/8ee70ec63931d1e38567905387ab9b1d45734d81

Other references:
[3] http://diswww.mit.edu:8008/menelaus.mit.edu/cvs-krb5/27664
[4] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=704775
Comment 1 Jan Lieskovsky 2013-04-09 08:33:23 EDT
This issue affects the versions of the krb5 package, as shipped with Fedora release of 17 and 18. Please schedule an update.
Comment 2 Jan Lieskovsky 2013-04-09 08:34:44 EDT
Created krb5 tracking bugs for this issue

Affects: fedora-all [bug 949987]
Comment 3 Jan Lieskovsky 2013-04-09 08:48:05 EDT
This issue did NOT affect the versions of the krb5 package, as shipped with Red Hat Enterprise Linux 4 and 5.

--

This issue affects the version of the krb5 package, as shipped with Red Hat Enterprise Linux 6.
Comment 7 Vincent Danen 2013-04-16 13:17:15 EDT
Statement:

This issue did not affect the versions of krb5 as shipped with Red Hat Enterprise Linux 4 and 5.
Comment 8 errata-xmlrpc 2013-04-16 14:23:46 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0748 https://rhn.redhat.com/errata/RHSA-2013-0748.html
Comment 9 Fedora Update System 2013-04-17 22:43:23 EDT
krb5-1.10.3-15.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2013-04-17 22:54:43 EDT
krb5-1.10.2-10.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Jan Lieskovsky 2013-04-20 04:56:11 EDT
Kerberos 5 release 1.10.5 announcement:
  http://web.mit.edu/kerberos/krb5-1.10/krb5-1.10.5.html#announcement

Kerberos 5 release 1.9.5 announcement:
  http://web.mit.edu/kerberos/krb5-1.9/krb5-1.9.5.html#announcement

Note You need to log in before you can comment on or make changes to this bug.